import request from '@/utils/request'

// 获取号码归属地列表数据
export function getNumAssignedLists(params) {
  return request({
    url: 'api/setmobiledata/getlistbypage',
    method: 'get',
    params
  })
}

// 获取号码归属地数据
export function getNumAssigned(id) {
  return request({
    url: 'api/setmobiledata/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加号码归属地数据
export function addNumAssigned(data) {
  return request({
    url: 'api/setmobiledata/add',
    method: 'post',
    data
  })
}

// 编辑号码归属地数据
export function editNumAssigned(data) {
  return request({
    url: 'api/setmobiledata/update',
    method: 'post',
    data
  })
}

// 删除号码归属地数据
export function deleteNumAssigned(ids) {
  return request({
    url: 'api/setmobiledata/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
